BCRANKresult-class {BCRANK} | R Documentation

## Class "BCRANKresult"

### Description

Holds the results from running `bcrank. Contains a number of \code{BCRANKsearch-class} object, one for each restart of the bcrank search.`

### Slots

`fname`:
  The name of the fasta file used for running bcrank.
`toplist`:
  A list of `BCRANKsearch-class` objects, ranked by their scores.

### Methods

fname
  `signature(object = "BCRANKmatch")`: Returns the fasta file name.
toplist
  `signature(object = "BCRANKmatch", i=NULL)`: If `i` is NULL, returns a data frame containing consensus and score for the results for each restart of the bcrank search. Otherwise, the i'th `BCRANKsearch-class` object in the toplist is returned.

### Author(s)

Adam Ameur, adam.ameur@lcb.uu.se

### See Also

`bcrank`, `BCRANKsearch-class`,

[Package BCRANK version 1.4.1 Index]